(function (root) {
  var exports = undefined,
      module = undefined,
      require = undefined;
  var define = undefined;
  (function () {
    let runningEnv = typeof window !== 'undefined' ? window : globalThis;

    runningEnv.HeyGameConfig = function (exports) {
      'use strict';

      class AdConfig {
        constructor() {
          this.appName = "JellyMan";
          this.debugMode = true;
          this.appId = ""; //平台获取的appid

          this.heyAppId = 4080; //heygame的appid //todo

          this.heyPlatId = 1011; //heygame平台id

          this.heySecret = "91f3dbdf1c2dd70580f0570a293bb34d"; // heygame平台秘钥 //todo

          this.versionName = "1.0.0";
          this.resVersion = "1.0.0";
          this.bannerAdUnitId = [""];
          this.interstitialAdUnitId = "";
          this.videoAdUnitId = "";
          this.nativeAdUnitId = [""];
          this.customInsertAdUnitId = [""]; //VIVO 原生模板插屏样式 使用纯图ID

          this.customBannerAdUnitId = [""]; //VIVO原生模板banner,左图右文/左文右图ID

          this.drawerGameAdUnitId = "";
          this.drawerGameAdTop = 700;
          this.bannerGameAdUnitId = "";
          this.appBoxUnitId = [""];
          this.blockAdUnitId = [""];
          this.shareConfig = {};
        }

      }

      class WXAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1003; //heygame平台id

          this.bannerAdUnitId = ['261277'];
          this.videoAdUnitId = '261289';
        }

      }

      class OPPOAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1011; //heygame平台id 不需要修改

          this.bannerAdUnitId = ['586248'];
          this.videoAdUnitId = '586249';
          this.nativeAdUnitId = ['586251', '586252', '586253', '586254'];
          this.drawerGameAdUnitId = '586259';
          this.bannerGameAdUnitId = '586258';
        }

      }

      class VIVOAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1026; //heygame平台id

          this.bannerAdUnitId = ['06ccac6f3379490d8485362bb0141ab7'];
          this.videoAdUnitId = 'cf585a674ad240d98f5a27429234f508';
          this.interstitialAdUnitId = "2cca66d464d545509b3ab0a389b5d1aa";
          this.nativeAdUnitId = [];
          this.customInsertAdUnitId = ["90a4652068b74e80b3cdaa2d4b8cad72", "31cf0bad73a5471cb297b12dda0936d6", "c8c67b12eca24c1e9776624b2fb7bcc3"];
          this.customBannerAdUnitId = ["2ec9f3c636b144c18552d69012fd3ef6", "5ed09429bc7b4b37813481b44a499900"];
          this.drawerGameAdUnitId = "c7fade6e1c384e1f821885ece91cc1a2";
          this.bannerGameAdUnitId = "55b11a8556e14c2782be29a9e85b5913";
        }

      }

      class TTAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1020; //heygame平台id

          this.shareConfig = {
            TEMPLATE_ID: "34l4k5s8q93f95g4jd",
            title: "在线寻求司机指导",
            desc: "司机快来体验最真实的驾驶模拟"
          };
          this.bannerAdUnitId = ['7kafebiad93akk744f'];
          this.videoAdUnitId = '44e94dk8070dqiiiml';
          this.interstitialAdUnitId = '1b59j19ac01h14pb0o';
        }

      }

      class QQAdConfig extends AdConfig {
        constructor() {
          super();
        }

      }

      class MEIZUAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1058;
          this.bannerAdUnitId = ['c6W2GnpT'];
          this.videoAdUnitId = 'jAqL64tf';
          this.nativeAdUnitId = ['wtbvbsOl'];
          this.interstitialAdUnitId = '1EntritE';
        }

      }

      class XMIAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1113;
          this.versionName = '1.0.0';
          this.bannerAdUnitId = ['e71df803fde924d5b7a834be2ec8856e'];
          this.videoAdUnitId = 'a003de982f5a63d31b586faec4fefd69';
          this.nativeAdUnitId = ['3f7ff65f4972829fafad0520f83a5e3c', 'fe433ddc0a276208bbe9f806f8a35a63', 'b23933f32a87f7a76394b06af5ca8261'];
          this.interstitialAdUnitId = '288af89c71dc2aee9e202b22cc9452ef';
        }

      }

      class PCAdConfig extends AdConfig {
        constructor() {
          super();
          this.bannerAdUnitId = ['289406'];
          this.videoAdUnitId = '289414';
          this.nativeAdUnitId = ['289409', '289410'];
          this.drawerGameAdUnitId = '289411';
          this.bannerGameAdUnitId = '289403';
        }

      }

      class HeyGameSDKConfig {
        constructor() {
          this._instance = null;
          this._config = null;
          this.initPlatforms();
          this.initSDKConfig();
          console.log('HeyGameSDKConfig constructor');
        }

        static get instance() {
          if (!HeyGameSDKConfig._instance) {
            HeyGameSDKConfig._instance = new HeyGameSDKConfig();
          }

          return HeyGameSDKConfig._instance;
        }

        static get AdConfig() {
          if (!HeyGameSDKConfig.instance._config) {
            HeyGameSDKConfig.instance._config = new AdConfig();
          }

          return HeyGameSDKConfig.instance._config;
        }

        init() {}

        initSDKConfig() {
          if (HeyGameSDKConfig.onWXMiniGame) {
            this._config = new WXAdConfig();
          } else if (HeyGameSDKConfig.onOPPOMiniGame) {
            this._config = new OPPOAdConfig();
          } else if (HeyGameSDKConfig.onVIVOMiniGame) {
            this._config = new VIVOAdConfig();
          } else if (HeyGameSDKConfig.onTTMiniGame) {
            this._config = new TTAdConfig();
          } else if (HeyGameSDKConfig.onQQMiniGame) {
            this._config = new QQAdConfig();
          } else if (HeyGameSDKConfig.onMEIZUMiniGame) {
            this._config = new MEIZUAdConfig();
          } else if (HeyGameSDKConfig.onXMIMiniGame) {
            this._config = new XMIAdConfig();
          } else if (HeyGameSDKConfig.onHWMiniGame) {
            console.error('HeyGameSDKConfig.onHWMiniGame error');
          } else {
            this._config = new PCAdConfig();
          }
        }

        initPlatforms() {
          let u = window.navigator.userAgent;
          console.log('initPlatforms--' + JSON.stringify(u));
          HeyGameSDKConfig.onPC = true; // OPPO mini game

          if (typeof window.qg !== "undefined" && window.qg.getProvider().toLowerCase().indexOf("oppo") > -1) {
            HeyGameSDKConfig.onOPPOMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // VIVO mini game


          if (typeof window.qg !== "undefined" && window.qg.getProvider().toLowerCase().indexOf("vivo") > -1) {
            HeyGameSDKConfig.onVIVOMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } //XIAOMI mini game


          if (typeof window.qg !== "undefined" && (u.indexOf("QuickGame") > -1 || window.qg.getProvider().toLowerCase().indexOf('QuickGame') > -1)) {
            HeyGameSDKConfig.onXMIMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // QQ mini game


          if (typeof window.qq !== "undefined") {
            HeyGameSDKConfig.onQQMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // tt mini game


          if (typeof window.tt !== "undefined") {
            HeyGameSDKConfig.onTTMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // meizu mini game


          if (typeof window.mz !== "undefined" && window.qg.getProvider().toLowerCase().indexOf("meizu") > -1) {
            HeyGameSDKConfig.onMEIZUMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // WeiXin mini game


          if (typeof window.wx !== "undefined") {
            HeyGameSDKConfig.onWXMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // HuaWei mini game


          if (typeof window.hbs !== "undefined") {
            HeyGameSDKConfig.onHWMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // 4399 mini game


          if (typeof window.gamebox !== "undefined") {
            HeyGameSDKConfig.onSSJJMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // 4399 h5 game


          if (typeof window.h5api !== "undefined") {
            HeyGameSDKConfig.onSSJJH5Game = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } //Android


          if (typeof jsb !== "undefined" || typeof window.conch !== "undefined" || window["DBApp"] != null) {
            HeyGameSDKConfig.onAndroidAPK = true;
            HeyGameSDKConfig.onPC = false;
          }
        }

      }

      exports.HeyGameSDKConfig = HeyGameSDKConfig;
      return exports;
    }({});
  }).call(root);
})( // The environment-specific global.
function () {
  if (typeof globalThis !== 'undefined') return globalThis;
  if (typeof self !== 'undefined') return self;
  if (typeof window !== 'undefined') return window;
  if (typeof global !== 'undefined') return global;
  if (typeof this !== 'undefined') return this;
  return {};
}.call(this));